package cn.com.tenlion.buildingpictures.pojo.vos.picturestemplatearea;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: PicturesTemplateAreaAllVO
 * @Description: 图片套版模板的区域设置全部修改
 * @Author: WenG
 * @Date: 2020-10-20 15:08
 * @Version: 1.0
 **/
@ApiModel
public class PicturesTemplateAreaAllVO {

    @ApiModelProperty(name = "picturesTemplateId", value = "模板ID")
    private String picturesTemplateId;
    @ApiModelProperty(name = "templateAreaFontCenter", value = "文字位置")
    private String templateAreaFontCenter;
    @ApiModelProperty(name = "templateAreaFontSize", value = "字体大小")
    private String templateAreaFontSize;
    @ApiModelProperty(name = "templateAreaFontBold", value = "文字加粗")
    private String templateAreaFontBold;
    @ApiModelProperty(name = "templateAreaFontFamily", value = "文字字体")
    private String templateAreaFontFamily;
    @ApiModelProperty(name = "templateAreaFontColor", value = "文字颜色")
    private String templateAreaFontColor;

    public String getPicturesTemplateId() {
        return picturesTemplateId == null ? "" : picturesTemplateId;
    }

    public void setPicturesTemplateId(String picturesTemplateId) {
        this.picturesTemplateId = picturesTemplateId;
    }

    public String getTemplateAreaFontCenter() {
        return templateAreaFontCenter == null ? "" : templateAreaFontCenter;
    }

    public void setTemplateAreaFontCenter(String templateAreaFontCenter) {
        this.templateAreaFontCenter = templateAreaFontCenter;
    }

    public String getTemplateAreaFontSize() {
        return templateAreaFontSize == null ? "" : templateAreaFontSize;
    }

    public void setTemplateAreaFontSize(String templateAreaFontSize) {
        this.templateAreaFontSize = templateAreaFontSize;
    }

    public String getTemplateAreaFontBold() {
        return templateAreaFontBold == null ? "" : templateAreaFontBold;
    }

    public void setTemplateAreaFontBold(String templateAreaFontBold) {
        this.templateAreaFontBold = templateAreaFontBold;
    }

    public String getTemplateAreaFontFamily() {
        return templateAreaFontFamily == null ? "" : templateAreaFontFamily;
    }

    public void setTemplateAreaFontFamily(String templateAreaFontFamily) {
        this.templateAreaFontFamily = templateAreaFontFamily;
    }

    public String getTemplateAreaFontColor() {
        return templateAreaFontColor == null ? "" : templateAreaFontColor;
    }

    public void setTemplateAreaFontColor(String templateAreaFontColor) {
        this.templateAreaFontColor = templateAreaFontColor;
    }
}
